%define upstream_name    Dist-Zilla-Plugin-TestBaseIncluder
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Ship your Test::Base version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::ModuleIncluder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildArch: noarch

%description
This module includes the version of Test::Base on your system with your
module dist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml LICENSE README Changes CONTRIBUTING META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.90.0-6.mga9
+ Revision: 1803394
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-5.mga8
+ Revision: 1494400
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-4.mga7
+ Revision: 1267586
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1026586
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 950294
- Mageia 6 Mass Rebuild

* Thu Oct 23 2014 shlomif <shlomif> 0.90.0-1.mga5
+ Revision: 792615
- imported package perl-Dist-Zilla-Plugin-TestBaseIncluder


* Thu Oct 23 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
